import { URI, Deferred, Disposable, IDisposable, IRange } from '@opensumi/ide-core-common';
import { IEditorDocumentModelService, IEditorDocumentModelContentProvider } from '@opensumi/ide-editor/lib/browser';
import type { ITextModel } from '@opensumi/ide-monaco/lib/browser/monaco-api/types';
import { ISearchTreeService } from '../../common/content-search';
import { SearchContextKey } from '../search-contextkey';
import { SearchContentNode, SearchFileNode, SearchRoot } from '../tree/tree-node.defined';
export declare class RangeHighlightDecorations implements IDisposable {
    private preDeltaDecoration;
    private _model;
    private _modelRef;
    private readonly _modelDisposables;
    documentModelManager: IEditorDocumentModelService;
    removeHighlightRange(): void;
    highlightRange(resource: URI | ITextModel, range: IRange): void;
    private doHighlightRange;
    private createEditorDecorations;
    private setModel;
    private clearModelListeners;
    dispose(): void;
    private static readonly RANGE_HIGHLIGHT_DECORATION;
}
export declare class ReplaceDocumentModelContentProvider implements IEditorDocumentModelContentProvider {
    contentMap: Map<string, string>;
    private documentModelManager;
    private searchBrowserService;
    private workspaceEditService;
    private onDidChangeContentEvent;
    handlesScheme(scheme: string): boolean;
    provideEditorDocumentModelContent(uri: URI): string;
    isReadonly(): boolean;
    updateContent(uri: URI): Promise<any>;
    onDidChangeContent: import("@opensumi/ide-core-browser").Event<URI>;
    delete(uri: URI): void;
    clear(): void;
}
export declare class SearchTreeService extends Disposable implements ISearchTreeService {
    private userhomePath;
    private readonly searchBrowserService;
    private readonly workspaceService;
    private readonly contentRegistry;
    private readonly replaceDocumentModelContentProvider;
    private readonly rangeHighlightDecorations;
    private readonly fileServiceClient;
    readonly searchContextKey: SearchContextKey;
    private readonly labelService;
    viewReady: Deferred<void>;
    constructor();
    get replaceValue(): string;
    get resultTotal(): import("../../common/content-search").ResultTotal;
    get contextKey(): SearchContextKey;
    initContextKey(dom: HTMLDivElement): void;
    removeHighlightRange(): void;
    resolveChildren(parent?: SearchRoot | SearchFileNode): Promise<(SearchRoot | SearchFileNode | SearchContentNode)[]>;
    private getCurrentUserHome;
    private getReadableTooltip;
}
//# sourceMappingURL=search-tree.service.d.ts.map